/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
/*******************************************************************************
This class is used to get:
1. Providers;
2. ProviderPlugins;

and provide the registered and configured Providers and ProviderPlugins to
testSuite to test against.

 ******************************************************************************/
package com.ibm.rational.test.lm.spi.driver.test.util;

import java.util.HashMap;

import com.ibm.rational.test.lm.spi.IInventorySPI;

public class PRInventory extends PluginReader {

    private static final String CATEGORY_INVENTORY = "Inventory";
    private final String assetUrlPart = "/asset/";
    
    private IInventorySPI[] inventoryProviders = null;
    private String[] inventoryProviderPluginIds = null;
    
    private static HashMap<String, String> providerToConfig = new HashMap<String, String>();

	@Override
	public boolean init() {
		
        boolean success = false;

        providerToConfig = ProviderXml.getInventoryProviderDocs();
        success = providerToConfig.size() > 0;
        
        
        //get the inventory providers and pluginIds...
        inventoryProviders = Registry.getRegistry().getInventoryProviders();
        inventoryProviderPluginIds = Registry.getRegistry().getInventoryProviderPluginIds();
        
        super.setProviders(inventoryProviders);
        super.setProviderPluginIds(inventoryProviderPluginIds);
        super.setCategory(CATEGORY_INVENTORY);
        super.setCategoryPartURL(assetUrlPart);
        super.setProviderToConfig(providerToConfig);

        
		return success;
	}

}
